This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 57988 - X windows failed after install. Xconfigurator sees video card but fails to configure.
X windows failed after install. Xconfigurator sees video card but fails to co...
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-04 09:42 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-06 15:51:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
XF86Config-4 (1.78 KB, text/plain)
2002-01-06 15:49 EST, Need Real Name
no flags Details
XFree86.0.log (11.35 KB, text/plain)
2002-01-06 15:51 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-01-04 09:42:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 95; DigExt)

Description of problem:
ATI Rage Expert 128 16mg video card being seen but not configured by OS. 
Unable to get GUI to work, this makes this a command line box only.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot machine, Xwindows fails to start
2.Run startX, gives error "no screens found"
3.Run Xconfigurator, it sees card, but fails to configure, returns you to 
login prompt(black screen)
	

Actual Results:  StartX fails, Xconfigurator fails.

Expected Results:  Should see and configure card during install, or at 
least when you rerun Xconfigurator. Xwindows should work giving graphical 
mode.

Additional info:

no driver line in device section of conf file. Tried adding both
"Driver    ATI"   and   "Driver    Radeon" but still does not work.
Comment 1 Alexei Podtelezhnikov 2002-01-04 16:37:35 EST
Click "Create a new attachment" and attach uncomplessed /etc/X11/XF86Config-4 
as well as /var/log/XFree86.0.log
Comment 2 Need Real Name 2002-01-06 15:49:54 EST
Created attachment 41896 [details]
XF86Config-4
Comment 3 Need Real Name 2002-01-06 15:51:01 EST
Created attachment 41897 [details]
XFree86.0.log
Comment 4 Mike A. Harris 2002-01-17 10:34:32 EST
Your card is an ATI Rage 128 PP.  Unfortunately, that card was not
supported in XFree86 4.1.0.

Several months ago, I added support for this card for X, and put it
into my development rpm packages.  There will be an XFree86 erratum
release sometime in the next week or so, which should work on this
card.  XFree86-4.1.0-14

You can get a copy now if you like from:

   ftp://people.redhat.com/mharris/testing/7.2/XFree86/

Note You need to log in before you can comment on or make changes to this bug.